# Profiterole

Delicious profiling for deno.

## Description

Profiterole is a framework for profiling Typescript sections in Deno scripts.

## Usage

```ts
// note : needs --unstable-temporal
// note : needs env variable PROFILE=true

import { report, section, startup, tip, top } from "./mod.ts";

async function main() {
	await startup(); // note : prevents cold start of the framework.

    for (const b of data) {
        tip("iteration"); // note : with tip/top

        const result = a + b;
        section("serialize", () => JSON.stringify({ a, b })); // note : with section
        
        top("iteration");
    }

	report();
}

if (import.meta.main) await main();
```